Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SbStringList Class Reference
[Base classes]

The SbStringList class is a container for arrays of SbString pointers. More...

`#include <Inventor/lists/SbStringList.h>`

Inheritance diagram for SbStringList:

List of all members.

## Public Methods
| SbStringList (void)
| SbStringList (const int sizehint)
int | find (SbString *string) const
void | insert (SbString *string, int insertbefore)
SbString *& | operator[] (const int idx) const

## Detailed Description

The SbStringList class is a container for arrays of SbString pointers.

Note that upon using the equality and inequality operators, the strings themselves are not compared, only the pointer values.

This class do not allocate or deallocate strings. It's the callers responsibility to allocate/deallocate the SbString instances.

See also:
  SbPList

## Constructor & Destructor Documentation

SbStringList::SbStringList | ( | void |  | ) | `[inline]`

| Default constructor.

SbStringList::SbStringList | ( | const int | sizehint | ) | `[inline]`

| This constructor initializes the internal allocated size for the list to sizehint. Note that the list will still initially contain zero items. See also: SPbList::SbList(const int sizehint)

## Member Function Documentation

int SbStringList::find | ( | SbString * | string | ) | const`[inline]`

| Overridden from parent to accept an SbString argument.

void SbStringList::insert | ( | SbString * | string,
|  | int | insertbefore
| ) | `[inline]`

| Overridden from parent to accept an SbString argument.

SbString *& SbStringList::operator[] | ( | const int | idx | ) | const`[inline]`

| Overridden from parent to return an SbString pointer. Reimplemented from SbPList.

The documentation for this class was generated from the following files:

- SbStringList.h
- SbStringList.cpp